# class toMemoEditor

Displays an text in a widget which can optionally be modified and saved back. More...

Definition | `#include <tomemoeditor.h>`
Inherits | QDialog (qt) [public ]
Inherited by | toResultContentMemo
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toMemoEditor (QWidget *parent,const QString &data,int row=-1,int col=-1, bool sql=false,bool modal=false,bool navigation=false)
- QString text (void)
- int row () const
- int column () const

#### Public Slots

- virtual void store (void)
- virtual void firstColumn ()
- virtual void nextColumn ()
- virtual void previousColumn ()
- virtual void lastColumn ()
- virtual void changePosition (int row,int cols)
- virtual void setText (const QString &)

#### Signals

- void changeData (int row,int col,const QString &data)

#### Protected Methods

- QToolBar * toolbar ()
- toMarkedText * editor ()
- QLabel * label ()

## Detailed Description

Displays an text in a widget which can optionally be modified and saved back.

QToolBar * toolbar ()

### toolbar

[protected]

toMarkedText * editor ()

### editor

[protected]

QLabel * label ()

### label

[protected]

toMemoEditor (QWidget *parent,const QString &data,int row=-1,int col=-1, bool sql=false,bool modal=false,bool navigation=false)

### toMemoEditor

Create this editor. If row and col is specified, editing is posible.

Parameters:

parent | Parent widget.
data | Data of editor.
row | Optional location specifier, pass on in changeData call.
col | Optional location specifier, pass on in changeData call.
sql | Use SQL syntax highlighting of widget.
modal | Display in modal dialog
navigation | Display navigation buttons

QString text (void)

### text

Get editor text.

Returns: String of editor.

int row ()

### row

[const]

Current row being edited.

int column ()

### column

[const]

Current column being edited.

void changeData (int row,int col,const QString &data)

### changeData

[signal]

Emitted when data is to be stored back to the creator

Parameters:

row | Pass on from creation.
col | Pass on from creation.
data | New data to save.

void store (void)

### store

[virtual slot]

Save changes and close.

void firstColumn ()

### firstColumn

[virtual slot]

Goto first column.

void nextColumn ()

### nextColumn

[virtual slot]

Goto next column.

void previousColumn ()

### previousColumn

[virtual slot]

Goto previous column.

void lastColumn ()

### lastColumn

[virtual slot]

Goto last column.

void changePosition (int row,int cols)

### changePosition

[virtual slot]

Change position in whatever it is your displaying.

void setText (const QString &)

### setText

[virtual slot]

Change value of editor.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.